BOS_LISTHOSTS(8)

NAME
bos_listhosts - Displays the contents of the CellServDB file

SYNOPSIS
bos listhosts -server <machine name> [-cell <cell name>]
    [-noauth] [-localauth] [-help]

bos listh -s <machine name> [-c <cell name>] [-n]
    [-l] [-h]

bos getcell -server <machine name> [-cell <cell name>]
    [-noauth] [-localauth] [-help]

bos getc -s <machine name> [-c <cell name>] [-n]
    [-l] [-h]

DESCRIPTION
The bos listhosts command formats and displays the list of a cell's database server machines from the /usr/local/etc/openafs/server/CellServDB file on the server machine named by the -server argument.

To alter the list of machines, use the bos addhost and bos removehost commands.

OPTIONS

-server <machine name>
    Indicates the server machine from which to display the /usr/local/etc/openafs/server/CellServDB file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

    For consistent performance in the cell, the output must be the same on every server machine. The bos addhost reference page explains how to keep the machines synchronized.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The first line of the output names the cell to which the server machine belongs. Each of the following lines names a database server machine for that cell.

The "Host" number assigned to each database server machine is for server-internal use only and is not the same as, nor necessarily related to, the machine's IP address. The BOS Server assigned it as part of performing the bos addhost command.

EXAMPLES
The following command displays the database server machines listed in the /usr/local/etc/openafs/server/CellServDB file on the machine "fs7.abc.com".

   % bos listhosts fs7.abc.com
   Cell name is abc.com
       Host 1 is db1.abc.com
       Host 2 is db2.abc.com
       Host 3 is db3.abc.com

PRIVILEGE REQUIRED
None

SEE ALSO
CellServDB(5), KeyFile(5), bos(8), bos_addhost(8), bos_removehost(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.